Kindly be advised we cannot cancel subscriptions or issue refunds on the forum.
You may cancel your Bitdefender subscription from Bitdefender Central or by contacting Customer Support at: https://www.bitdefender.com/consumer/support/help/

Thank you for your understanding.

Software Requirement for Total Security

The Software Requirements only specify Internet Explorer version 11 -- which has been deprecated, and is only available for Windows 7.

https://www.bitdefender.com/solutions/total-security.html

So -- can I assume BTS will work with the current version of any modern browser?  

I would appreciate your advice.

Tagged:

Answers

  • Hello @wi111 and welcome to the Community!

    Yes, Bitdefender only has dependencies for Internet Explorer to function, so it will work with the current version.

    Best regards.

    Premium Security & Bitdefender Endpoint Security Tools user

  • "Bitdefender only has dependencies for IE to function" means

    Bitdefender depends on IE?

  • Hi,

    Bitdefender needs IE to communicate with the internet.

    Cheers.

    Premium Security & Bitdefender Endpoint Security Tools user